=== src/backend/utils/mb/conversion_procs/utf8_and_euc_tw/Makefile ===
#-------------------------------------------------------------------------
#
# $PostgreSQL: pgsql/src/backend/utils/mb/conversion_procs/utf8_and_euc_tw/Makefile,v 1.3 2003/11/29 22:40:21 pgsql Exp $
#
#-------------------------------------------------------------------------
subdir = src/backend/utils/mb/conversion_procs/utf8_and_euc_tw
top_builddir = ../../../../../..
include $(top_builddir)/src/Makefile.global

NAME		:= utf8_and_euc_tw

include $(srcdir)/../proc.mk
