=== src/backend/utils/mb/conversion_procs/utf8_and_iso8859/Makefile ===
#-------------------------------------------------------------------------
#
# $PostgreSQL: pgsql/src/backend/utils/mb/conversion_procs/utf8_and_iso8859/Makefile,v 1.3 2003/11/29 22:40:32 pgsql Exp $
#
#-------------------------------------------------------------------------
subdir = src/backend/utils/mb/conversion_procs/utf8_and_iso8859
top_builddir = ../../../../../..
include $(top_builddir)/src/Makefile.global

NAME		:= utf8_and_iso8859

include $(srcdir)/../proc.mk
