## postgresql-8.2 8.2.23~20220624.1330-9~1.git7f43f39.pgdg90+1

=== debian/changelog ===
postgresql-8.2 (8.2.23~20220624.1330-9~1.git7f43f39.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.2.
    + Re-enable plpython2 packages.
    + Re-enable OpenSSL support.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:33 +0100

postgresql-8.2 (8.2.23-9) unstable; urgency=medium

  * R³: no.
  * run-testsuite: Test only this version.
  * psql uses sensible-editor, depend on sensible-utils.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Dec 2021 17:31:33 +0100

postgresql-8.2 (8.2.23-8) unstable; urgency=medium

  * Disable plpython2 package.
  * Remove obsolete Conflicts/Replaces.
  * Add debian/gitlab-ci.yml.
  * debian/tests: Also run regression tests.
  * debian/rules: Remove explicit xz compression.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 14:55:56 +0200

postgresql-8.2 (8.2.23-7) sid-pgdg; urgency=medium

  * Depend on locales | locales-all. Suggested by Elrond, thanks!
    (Closes: #916655)
  * Build-Depend on tcl-dev instead of on a specific version.
  * Disable ssl; package supports OpenSSL 1.0 only which got removed
    from unstable.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Mar 2019 09:33:57 +0100

postgresql-8.2 (8.2.23-6) sid-pgdg; urgency=medium

  * Bump tcl version to 8.6.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Nov 2018 09:54:12 +0100

postgresql-8.2 (8.2.23-5) sid-pgdg; urgency=medium

  * Add debian/tests like in the other branches.
  * Remove empty conf.d directory on purge, even when postgresql-common
    was already removed. (Closes: #877264)

 -- Christoph Berg <myon@debian.org>  Wed, 20 Jun 2018 17:56:36 +0200

postgresql-8.2 (8.2.23-4) sid; urgency=medium

  * debian/control: Use openjade instead of the ancient jade for building the
    documentation.
  * debian/control: Add alternative dependency on libssl1.0-dev.
  * libpq-dev: Remove dependency on libssl-dev (and comerr-dev and
    libkrb5-dev) to unbreak co-installation with libssl1.0-dev.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Dec 2016 13:58:30 +0100

postgresql-8.2 (8.2.23-1.pgdg+3) sid-pgdg; urgency=medium

  * Remove hardening-wrapper logic, it's being removed from sid.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Sep 2016 18:36:18 +0200

postgresql-8.2 (8.2.23-1.pgdg+2) sid-pgdg; urgency=medium

  * Add -fno-aggressive-loop-optimizations to CFLAGS, cf.
    http://stackoverflow.com/a/34204352/3872653.

 -- Christoph Berg <myon@debian.org>  Sat, 06 Aug 2016 23:00:33 +0200

postgresql-8.2 (8.2.23-1.pgdg+1) sid-pgdg; urgency=low

  * Append .pgdg+1 to version.
  * Port CFLAGS/LDFLAGS/hardening handling from 9.2.
  * Disable -Werror=format-security.
  * Use dh_builddeb -- -Zxz.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Oct 2012 12:53:55 +0200

postgresql-8.2 (8.2.23-1) unstable; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Apr 2012 13:50:05 +0200

postgresql-8.2 (8.2.22-1~pgapt+1) sid-pgapt; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2011 17:21:29 +0200

postgresql-8.2 (8.2.21-1~pgapt+1) sid-pgapt; urgency=low

  * Backport packaging to 8.2.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Sep 2011 23:06:33 +0200

postgresql-9.1 (9.1.0-1) unstable; urgency=low

  * Final 9.1 release.
  * 02-relax-sslkey-permscheck.patch, 50-per-version-dirs.patch: Refresh to
    apply cleanly.
  * debian/control: Tighten the dependencies of the -pl* extensions/-contrib
    to postgresql-9.1 to the same binary version. (Closes: #640335)

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Sep 2011 16:02:28 +0200

postgresql-9.1 (9.1~rc1-3) unstable; urgency=low

  * debian/watch: Fix for mangling ~rc, thanks Peter Eisentraut. 
    (Closes: #639357)
  * debian/control: Add versionless Provides: to the PL* extensions, as per
    request from Christoph Berg.
  * debian/control: Add "Replaces: postgresql-9.0-dbg" to fix file conflict.
    (Closes: #639258)
  * debian/control: Drop the versionless metapackages, they are built from
    postgresql-common now. This behaves better with backports. Thanks to
    Christoph Berg for the suggestion.

 -- Martin Pitt <mpitt@debian.org>  Sat, 27 Aug 2011 13:42:40 +0200

postgresql-9.1 (9.1~rc1-2) unstable; urgency=low

  * debian/control: Build the versionless metapackages again, and point them
    to 9.1.

 -- Martin Pitt <mpitt@debian.org>  Thu, 25 Aug 2011 12:50:45 +0200

postgresql-9.1 (9.1~rc1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable now that the final 9.1 release will come soon. 9.1 will
    most probably be the version supported in the Wheezy release.
  * 54-debian-alternatives-for-external-tools.patch: Unfuzz for new release.
  * debian/control: Suggest locales-all. (Closes: #629875)
  * debian/control: Wrap dependencies.
  * debian/control: Add explicit jade build dependency. (see #621492 for the
    corresponding 9.0 bug report)

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Aug 2011 20:59:58 +0200

postgresql-9.1 (9.1~beta3-1) experimental; urgency=low

  * New upstream beta release.
    - Works around gcc 4.6.0 bug. (Closes: #633086)

    Note that this does not change the data format since Beta 2, so no need
    to dump/reload clusters.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2011 18:39:43 +0200

postgresql-9.1 (9.1~beta2-1) experimental; urgency=low

  * New upstream beta release.
  * Drop 03-cmsgcred-size.patch, fixed upstream.
  * debian/postgresql-9.1.install: Install new pg_basebackup translations.
  * debian/control: Fix the server-dev dependency to p-common to also work for
    backports.
  * debian/watch: Fix for beta versions.
  * debian/copyright: Add pointers to GPL and Artistic licenses for the Perl
    terms.

