## postgresql-8.2 8.2.23~20220624.1330-9~1.git7f43f39.pgdg+1

=== debian/changelog ===
postgresql-8.2 (8.2.23~20220624.1330-9~1.git7f43f39.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.2.
    + Enabling cassert.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:33 +0100
